# Class CIM_BIOSServiceCapabilities
extends CIM_Capabilities

BIOSServiceCapabilities advertises to a client the methods that are supported by CIM_BIOSService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_BIOSServiceCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | BIOSServiceCapabilities advertises to a client the methods that are supported by CIM_BIOSService.
UMLPackagePath | string | CIM::System::Capabilities
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MethodsSupported | uint32[] |
Description | string | This property advertises the methods that are supported by the service
ValueMap | string | 0, 1, 2, 3, 4, 5, .., 65536..4294967295
Values | string | SetBIOSAttribute, RestoreBIOSDefaults, SetBIOSAttributeEmbeddedInstance, ReadRawBIOSData, WriteRawBIOSData, SetBIOSAttributes, DMTF Reserved, Vendor Reserved
SupportedPasswordAlgorithms | string[] |
Description | string | The transformation algorithm, if any, used to protect passwords before use in the protocol. For instance, Kerberos doesn&apos;t store passwords as the shared.
ModelCorrespondence | string | CIM_SharedSecret.Algorithm
SupportedPasswordEncodings | uint32[] |

Description

string

This property specifies encoding the BIOS supports for denoting password parameter strings. Encoding defines the format that a password string is being passed into the BIOS or set with. "kbd" denotes a string in hexadecimal format containing keyboard scan code input. An example of a password structured in this format would be "321539191E1F1F11181320", which is the representation of "my password" in US English keyboard scan codes. "ascii" denotes clear text that shall comply with the ASCII character set. Character encodings from " " (decimal 32) to "~" (decimal 126) are supported. An example would be "my password". "pin" denotes that only numeric input in ASCII text is allowed for the password instance. An example would be "1234".

ModelCorrespondence | string | CIM_BIOSPassword.PasswordEncoding
ValueMap | string | 2, 3, 4, 5, .., 65536..4294967295
Values | string | ascii, kbd, pin, UTF16, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods